#pragma once

namespace Gos2 {

class ResourceDll : public GosResourceDll
{
public:
	static GosResourceDll *	Open( TCHAR *pFileName );
	virtual 				~ResourceDll();
	virtual _TCHAR *		GetString( DWORD ID )=0;
	virtual void *			GetData( DWORD ID, _TCHAR *pTypeName, size_t *pSize )=0;
};

} using namespace Gos2;